> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gitlocalize.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Repository

> Fetch a single repository by its id.



## OpenAPI

````yaml GET /v1/repositories/{id}
openapi: 3.1.0
info:
  title: GitLocalize API
  description: GitLocalize API
  version: 0.1.0
servers:
  - url: https://api.gitlocalize.com
    description: GitLocalize
security:
  - BearerAuth: []
paths:
  /v1/repositories/{id}:
    get:
      summary: GetRepository
      operationId: RepositoryService_GetRepository
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type:
              - integer
              - string
            title: id
            format: int64
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/gitlocalize.v1.Repository'
                title: repository
components:
  schemas:
    gitlocalize.v1.Repository:
      type: object
      properties:
        id:
          type:
            - integer
            - string
          title: id
          format: int64
        name:
          type: string
          title: name
          description: GitHub full name, "owner/repo".
        private:
          type: boolean
          title: private
        created_at:
          $ref: '#/components/schemas/google.protobuf.Timestamp'
          title: created_at
      title: Repository
      required:
        - id
        - name
        - created_at
      additionalProperties: false
    google.protobuf.Timestamp:
      type: string
      format: date-time
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: opaque

````